<?php
// $Id$

/**
 * Form callback: builds the form for switching shortcut sets.
 *
 * @see toolbar_shortcuts_set_switch_submit()
 *
 * @param $form_state
 * An associative array containing the current state of the form.
 *
 * @param $account (optional)
 * The user account whose shortcuts will be switched. Defaults to the current logged-in user.
 *
 * @return An array representing the form definition.
 */

function toolbar_shortcuts_set_switch(&$form_state, $account = NULL) {
  global $user;
  if (!isset($account)) {
    $account = $user;
  }
  
  $form['account'] = array(
    '#type' => 'value',
    '#value' => $account,
  );
  
  $sets = toolbar_shortcuts_sets();
  $current_set = toolbar_shortcuts_current_displayed_set($account);

  $form['set'] = array(
    '#type' => 'radios',
    '#title' => $user->uid == $account->uid ? t('Choose a set of shortcuts to use') : t('Choose a set of shortcuts for this user'),
    '#options' => $sets,
    '#default_value' => $current_set, 
    '#required' => TRUE,
  );
    
  $form['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Change set')
  );
  
  return $form;
}

/**
 * Submit handler for toolbar_shortcuts_set_switch()
 */
function toolbar_shortcuts_set_switch_submit($form, &$form_state) {
  global $user;
  $account = $form_state['values']['account'];

  toolbar_shortcuts_set_assign_user($form_state['values']['set'], $form_state['values']['account']);
  return '';
}
